curl --request GET \
--url https://ivs.idenfy.com/kyb/companies/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://ivs.idenfy.com/kyb/companies/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://ivs.idenfy.com/kyb/companies/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://ivs.idenfy.com/kyb/companies/")
.header("Authorization", "Basic <encoded-value>")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/kyb/companies/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/kyb/companies/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://ivs.idenfy.com/kyb/companies/")
.get()
.addHeader("Authorization", "Basic <encoded-value>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://ivs.idenfy.com/kyb/companies/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Basic <encoded-value>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"count": 123,
"results": [
{
"id": "<string>",
"company": {
"companyName": "<string>",
"country": "AF",
"additionalInfo": {},
"registrationNumber": "<string>",
"region": "<string>",
"type": "<string>",
"phone": "<string>",
"website": "<string>",
"email": "jsmith@example.com",
"brandNames": [],
"activityCode": "<string>",
"tin": "<string>",
"operatingAddress": "<string>",
"postalAddress": "<string>",
"postcode": "<string>",
"street": "<string>",
"city": "<string>"
},
"meta": {
"status": "PENDING",
"approvalStatus": "APPROVED",
"submissionTime": "2023-11-07T05:31:56Z",
"soleProprietor": true
}
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}List companies
Returns companies oldest-created first. There is no sorting parameter, and no fields selection — use GET /kyb/companies/{id}/ to narrow a single company’s response. Filtering by status, client ID, company name or country is not available on the partner API.
Authorizations
The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.
Query Parameters
Creation date-time range as two comma-separated ISO values, from,to. Supplying only one side works as from-only or to-only.
A page number within the paginated result set.
Number of results to return per page.
x <= 200Exact match on the company's registration number.
Was this page helpful?